package ext.config {

/**
 * A template class that supports advanced functionality. <div class="mdetail-params"><ul><li>Autofilling arrays using templates and sub-templates</li><li>Conditional processing with basic comparison operators</li><li>Basic math function support</li><li>Execute arbitrary inline code with special built-in template variables</li><li>Custom member functions</li><li>Many special tags and built-in operators that aren't defined as part of the API, but are supported in the templates that can be created</li></ul></div><p>XTemplate provides the templating mechanism built into:</p><div class="mdetail-params"><ul><li><a href="Ext.DataView.html">Ext.DataView</a></li><li><a href="Ext.ListView.html">Ext.ListView</a></li><li><a href="Ext.form.ComboBox.html">Ext.form.ComboBox</a></li><li><a href="Ext.grid.TemplateColumn.html">Ext.grid.TemplateColumn</a></li><li><a href="Ext.grid.GroupingView.html">Ext.grid.GroupingView</a></li><li><a href="Ext.menu.Item.html">Ext.menu.Item</a></li><li><a href="Ext.layout.MenuLayout.html">Ext.layout.MenuLayout</a></li><li><a href="Ext.ColorPalette.html">Ext.ColorPalette</a></li></ul></div><br/><br/> <p>For example usage <a href="output/Ext.XTemplate.html#Ext.XTemplate-XTemplate">see the constructor</a>.</p>
 *
 * <p>This class serves as a
 * typed config object for constructor of class XTemplate.</p>
 *
 * <p>Copyright &#169; 2011 Sencha Inc.</p>
 * @see ext.XTemplate
 */
[ExtConfig(target = "ext.XTemplate")]
public class xtemplate extends template {
  public function xtemplate(config:Object = null) {
    super();
  }
}
}